Subject: bug#5706: 23.1; Comments incorrectly detected in autoconf mode

From: Reuben Thomas <[email-masked]>
Date: Thu, 19 Nov 2020 07:37:14 +0000

On Thu, 19 Nov 2020 at 03:12, Stefan Kangas <[email-masked]> wrote:

> [email-masked] writes:
>
> > A hash character does not always introduce a comment in autoconf code,
> > but autoconf-mode always colors if as if it did. Unfortunately, I
> > cannot really tell from the autoconf manual what the rules are. I
> > suspect that # does not start a comment if it is inside [...] quotes,
> > but I guess this should be checked.
>
> (This bug was reported 10 years ago, but unfortunately never got a reply
> at the time.)
>
> Could you give an example of some autoconf code where you believe the
> hash character is incorrectly identified as a comment?
>

A quick bit of grepping finds the in XEmacs's configure.ac. Note in
particular the contents of the first argument to AC_LANG_PROGRAM:

AC_COMPILE_IFELSE([AC_LANG_PROGRAM([#include <features.h>],[
#if ! (defined __GLIBC__ || defined __GNU_LIBRARY__)
#error Not a GNU libc system :-(
******* ======= ******** &&&&&&&&
#endif
])], have_glibc=yes, have_glibc=no)

-- 
https://rrt.sc3d.org